The endpoints described in this guide are currently in beta mode.
Create a spending limit
POST
/v2/cards/{cardId}/spending-limitsRequest
Use this request to create a new spending limit for a given card.Path parameters
The ID of the card that you want to create a new spending limit for.Allowable values: An existing
cardId (≤ 36 characters)Query parameters
The ID of the account that the card is associated with.Allowable values: An existing
accountIdThe ID of the budget that the card is associated with.Allowable values: An existing
budgetId (≤ 36 characters)The ID of the person that the card belongs to.Allowable values: An existing
personId (≤ 36 characters)Request body schema
The amount that you want to set as the spending limit.Allowable values: A valid number
Whether or not you want the spending limit to be active on Marqeta.Allowable values:
true, falseThe currency that you want to set the spending limit on. Spending limits only apply to all currencies on the card when they are set in the base currency of the card.Allowable values: A valid
currencyCodeWhether or not you want the spending limit to be turned off.Allowable values:
true, falseThe time period for which the spending limits should apply.Allowable values:
DAY, WEEK, MONTH, LIFETIMEResponse
If your request is successful, you’ll receive a200 response. The available object will contain details about the remaining uses, amount, and number of days remaining until the limit resets.
Retrieve a spending limit
GET
/v2/cards/{cardId}/spending-limitsRequest
Use this request to retrieve the spending limit for a given card, based on itsid.
Path parameters
The ID of the card that you want to retrieve a spending limit for.Allowable values: An existing
cardId (≤ 36 characters)Query parameters
The ID of the account that the card is associated with.Allowable values: An existing
accountIdThe ID of the budget that the card is associated with.Allowable values: An existing
budgetId (≤ 36 characters)The maximum number of results to return. For example,
limit=25. By default, this is set to 100.Allowable values: [ 1 .. 1000 ]The number of items to skip before returning results. For example,
offset=200. By default, this is set to 0.Allowable values: A valid integerThe term(s) to search for. You can use this to filter the results.Allowable values: A valid string
The ID of the person that the card belongs to.Allowable values: A existing
personId (≤ 36 characters)Response
If your request is successful, you’ll receive a200 response.
Update a spending limit
PUT
/v2/cards/{cardId}/spending-limits/{limitId}Request
Use this request to update an existing spending limit for a card.Path parameters
The ID of the card associated with the spending limit.Allowable values: An existing
cardId (≤ 36 characters)The ID of the limit that you want to update.Allowable values: An existing
limitId (≤ 36 characters)Query parameters
The ID of the account that the card is associated with.Allowable values: An existing
accountIdThe ID of the budget that the card is associated with.Allowable values: An existing
budgetId (≤ 36 characters)The ID of the person that the card belongs to.Allowable values: An existing
personId (≤ 36 characters)Request body schema
The new ID of the spending limit.Allowable values: A valid string
The amount that you want to set as the spending limit.Allowable values: A valid number
Whether or not the spending limit is active on Marqeta.Allowable values:
true, falseWhether or not the spending limit is turned off.Allowable values:
true, falseResponse
If your request is successful, you’ll receive a200 response.